
Foreman - Bug #12543

Email id with latin,utf-8 is not accepted while creating user

11/19/2015 06:08 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Authentication   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1204667 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3305

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1204667

Description of problem:

Email id with latin,utf-8 is not accepted while creating user

Version-Release number of selected component (if applicable):

1. rpm -q foreman

foreman-1.7.2.13-1.el7sat.noarch

How reproducible:

everytime

Steps to Reproduce:

1.#  hammer -v -u admin -p changeme --output=csv user create --firstname="8ugfuf1BFN" --lastname="0yWWyrdyMY"

--password="yjaepmzj2z" --auth-source-id="1"

--mail="择﷐[U+3AA37]﷑﷐[U+10CF69]﷑﷐[U+E9F5F]﷑﷐[U+53AE7]﷑﷐[U+D27C0]﷑﷐[U+78E3D]﷑﷐[U+1912D]﷑﷐[U+30F94]﷑﷐[U+26E96]

﷑@somemail.com" --login="zf8jUe"

[ERROR 2015-03-23 06:27:54 Exception] Email address is invalid

Could not create the user:

Email address is invalid

2.

3.

Actual results:

Expected results:

Additional info:

Related issues:

Related to Foreman - Bug #5811: User email validation doesn't exactly match s... Closed 05/20/2014

Related to Foreman - Refactor #14641: Simplify e-mail address regex New 04/14/2016

Related to Foreman - Bug #21736: Bump mail gem to 2.7 Closed 11/22/2017

Associated revisions

Revision 263edc74 - 10/31/2016 04:23 AM - Amir Fefer

Fixes #12543 - enable utf-8 encoding in email address

According to RFC 6532, the local part of an  email address

can be non-ascii characters, and should support in  utf-8.

The current email validation doesn't allow it,

so emails like Pelé@example.com and  我買@example.com are not supported
Revision a011df46 - 03/16/2017 04:18 AM - Dominic Cleal

refs #12543 - add mail dependency

History

#1 - 11/20/2015 02:52 AM - Dominic Cleal

- Related to Bug #5811: User email validation doesn't exactly match specification added

#2 - 11/20/2015 02:52 AM - Dominic Cleal

- Category set to Authentication

#3 - 03/10/2016 12:20 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/3305 added

#4 - 05/05/2016 04:14 AM - Amir Fefer

- Related to Refactor #14641: Simplify e-mail address regex added

#5 - 10/11/2016 09:56 AM - Daniel Lobato Garcia

- Target version set to 1.5.2

#6 - 10/31/2016 05:01 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 263edc74d87451cb3d782543fc8d98f424d060af.

#7 - 11/01/2016 06:53 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#8 - 03/22/2017 09:57 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/1550 added

#9 - 06/02/2017 01:32 PM - Eric Helms

- Pull request deleted (https://github.com/theforeman/foreman-packaging/pull/1550)

#10 - 11/22/2017 12:56 PM - Tomer Brisker

- Related to Bug #21736: Bump mail gem to 2.7 added
